{
  "name": "web3-proxy",
  "version": "1.0.0",
  "description": "The official Managing Web3 Proxy",
  "main": "app.js",
  "type": "module",
  "directories": {
    "test": "test"
  },
  "scripts": {
    "start": "fastify start -l info dist/app.js",
    "build": "tsc",
    "watch": "tsc -w",
    "dev": "npm run build && concurrently -k -p \"[{name}]\" -n \"TypeScript,App\" -c \"yellow.bold,cyan.bold\" \"npm:watch\" \"npm:dev:start\"",
    "dev:start": "npm run build && fastify start -d --ignore-watch=.ts$ -w -l info -P dist/app.js",
    "test": "npm run db:seed && c8 npm run test:run",
    "test:run": "tsx --test ./test/**/*.ts",
    "test:single": "tsc && tsx --test",
    "standalone": "npm run build && node --env-file=.env dist/server.js",
    "lint": "eslint --ignore-pattern=dist",
    "lint:fix": "npm run lint -- --fix",
    "db:create": "tsx --env-file=.env ./scripts/create-database.ts",
    "db:drop": "tsx --env-file=.env ./scripts/drop-database.ts",
    "db:migrate": "tsx --env-file=.env ./scripts/migrate.ts",
    "db:seed": "tsx --env-file=.env ./scripts/seed-database.ts",
    "test:redis": "tsx --env-file=.env ./scripts/test-redis-connection.ts"
  },
  "keywords": [],
  "author": "Oda",
  "license": "MIT",
  "dependencies": {
    "@fastify/autoload": "^6.0.0",
    "@fastify/cookie": "^11.0.1",
    "@fastify/cors": "^11.0.0",
    "@fastify/env": "^5.0.1",
    "@fastify/helmet": "^13.0.0",
    "@fastify/multipart": "^9.0.1",
    "@fastify/rate-limit": "^10.0.1",
    "@fastify/sensible": "^6.0.1",
    "@fastify/session": "^11.0.1",
    "@fastify/static": "^8.0.2",
    "@fastify/swagger": "^9.0.0",
    "@fastify/swagger-ui": "^5.0.1",
    "@fastify/type-provider-typebox": "^5.0.0",
    "@fastify/under-pressure": "^9.0.1",
    "@privy-io/server-auth": "^1.18.12",
    "@sentry/node": "^8.55.0",
    "@sinclair/typebox": "^0.34.11",
    "canonicalize": "^2.0.0",
    "concurrently": "^9.2.1",
    "cross-fetch": "^4.1.0",
    "csv-stringify": "^6.5.2",
    "ethers": "^6.13.5",
    "fastify": "^5.0.0",
    "fastify-cli": "^7.3.0",
    "fastify-plugin": "^5.0.1",
    "form-data": "^4.0.1",
    "knex": "^3.1.0",
    "lodash": "^4.17.21",
    "mysql2": "^3.11.3",
    "postgrator": "^8.0.0",
    "query-string": "^9.1.1",
    "redis": "^5.8.2",
    "viem": "2.37.1",
    "vitest": "^3.0.8",
    "zod": "^3.24.2"
  },
  "devDependencies": {
    "@types/node": "^22.5.5",
    "@types/redis": "^4.0.10",
    "c8": "^10.1.3",
    "eslint": "^9.11.0",
    "fastify-tsconfig": "^3.0.0",
    "glob": "^11.0.0",
    "neostandard": "^0.12.0",
    "tsx": "^4.19.1",
    "typescript": "~5.8.2"
  }
}
